# 5.1.2 机器学习的主要任务

机器学习能够完成的任务主要有：分类、回归、聚类。

## 分类

假如现在有一些苹果、西瓜和香蕉的图片作为训练集(有标签)，现在想要机器学片来分辨出该图片中的是苹果、西瓜还是香蕉。像这样的任务称为分类任务。

![](2.jpg)

## 回归

假如现在有一些苹果的售价数据作为训练集(有标签)，现在想要机器学习算法能够根据新的测试图片来分辨 出该图片中的苹果能卖多少钱。像这样的任务称为回归任务。

![](3.jpg)

## 聚类

假如现在有一些水果的图片作为训练集(无标签)，现在想要机器学习算法能够根据训练集中的图片将这些图 片进行归类，但是并不知道这些类别是什么。像这样的任务称为聚类任务。

![](4.jpg)

细心的你可能注意到了，分类和回归问题的训练集中都是带有标签的。也就是说数据已经告诉了机器学习 算法我这条数据的答案是这个，那条数据的答案是那个，就像有老师在监督学生做题目一样，一看到学生 做错了就告诉他题目做错了，看到学生做对了就鼓励他。所以用来解决分类和回归问题的机器学习算法又 称为监督学习。而像用来解决聚类问题的机器学习算法又称为无监督学习。